Package com.independentsoft.office.spreadsheet

# Class DataBar

java.lang.Object
com.independentsoft.office.spreadsheet.DataBar

public class DataBar extends Object
The Class DataBar.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataBar()`
  Instantiates a new data bar.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataBar`
  `clone()`
  `DataBarColor`
  `getColor()`
  Gets the color.
  `ConditionalFormatValueObject`
  `getFirstConditionalFormatValueObject()`
  Gets the first conditional format value object.
  `int`
  `getMaxLength()`
  Gets the max length.
  `int`
  `getMinLength()`
  Gets the min length.
  `ConditionalFormatValueObject`
  `getSecondConditionalFormatValueObject()`
  Gets the second conditional format value object.
  `boolean`
  `isShowValue()`
  Checks if is show value.
  `void`
  `setColor​(DataBarColor color)`
  Sets the color.
  `void`
  `setFirstConditionalFormatValueObject​(ConditionalFormatValueObject firstConditionalFormatValueObject)`
  Sets the first conditional format value object.
  `void`
  `setMaxLength​(int maxLength)`
  Sets the max length.
  `void`
  `setMinLength​(int minLength)`
  Sets the min length.
  `void`
  `setSecondConditionalFormatValueObject​(ConditionalFormatValueObject secondConditionalFormatValueObject)`
  Sets the second conditional format value object.
  `void`
  `setShowValue​(boolean showValue)`
  Sets the show value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataBar

    public DataBar()
    Instantiates a new data bar.

- ## Method Details

  - ### clone

    public DataBar clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFirstConditionalFormatValueObject

    public ConditionalFormatValueObject getFirstConditionalFormatValueObject()
    Gets the first conditional format value object.
    Returns:
      the first conditional format value object

  - ### setFirstConditionalFormatValueObject

    public void setFirstConditionalFormatValueObject​(ConditionalFormatValueObject firstConditionalFormatValueObject)
    Sets the first conditional format value object.
    Parameters:
      `firstConditionalFormatValueObject` - the new first conditional format value object

  - ### getSecondConditionalFormatValueObject

    public ConditionalFormatValueObject getSecondConditionalFormatValueObject()
    Gets the second conditional format value object.
    Returns:
      the second conditional format value object

  - ### setSecondConditionalFormatValueObject

    public void setSecondConditionalFormatValueObject​(ConditionalFormatValueObject secondConditionalFormatValueObject)
    Sets the second conditional format value object.
    Parameters:
      `secondConditionalFormatValueObject` - the new second conditional format value object

  - ### getColor

    public DataBarColor getColor()
    Gets the color.
    Returns:
      the color

  - ### setColor

    public void setColor​(DataBarColor color)
    Sets the color.
    Parameters:
      `color` - the new color

  - ### getMaxLength

    public int getMaxLength()
    Gets the max length.
    Returns:
      the max length

  - ### setMaxLength

    public void setMaxLength​(int maxLength)
    Sets the max length.
    Parameters:
      `maxLength` - the new max length

  - ### getMinLength

    public int getMinLength()
    Gets the min length.
    Returns:
      the min length

  - ### setMinLength

    public void setMinLength​(int minLength)
    Sets the min length.
    Parameters:
      `minLength` - the new min length

  - ### isShowValue

    public boolean isShowValue()
    Checks if is show value.
    Returns:
      true, if is show value

  - ### setShowValue

    public void setShowValue​(boolean showValue)
    Sets the show value.
    Parameters:
      `showValue` - the new show value